:root {
  /*bg colors*/
  --main-bg-color: #fafafa;
  --input-bg-color: #fafafa;
  --section-bg-color: #f0f0f0;
  --isolate-popup-color: #000000b0;
  /*accent and util colors*/
  --hover-color: lightskyblue;/*#acccff;*/
  --hover-alert-color: orange;
  --hover-confirm-color: lightgreen;
  --select-color: #1090da;
  --alert-color: #ffb84d;
  /*button border color*/
  --button-brd-color: lightgray;
  --button-brd-color-hover:blue;

  --main-font-size: calc(5pt + 0.5vw);
}

* {
  font-size: var(--main-font-size);
  font-family: Arial;
}

html {
  top:0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: #f8f8f8;
}

body {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: auto;
  width: 60em;
}

section {
  box-shadow: 0.1vw 0.3vw 0.3vw #888888;
}

h2 {
  margin: 0;
  padding: 0;
}

.tab {
  border: none;
  background-color: var(--section-bg-color);
  margin: 0.5em 0 0 0.5em;
  padding:1em;
  border-radius: 1em;
}

/* --- SAMPLE VIEW ---*/
.inspection {
  
  width: calc(49.5em + 28px);
  height: 22em;
 
}

.inspection iframe {
  border: none;  
  width: 100%;
  height: 100%;
}

/* --- CONSOLE VIEW ---*/
.console {
  width: calc(49.5em + 28px);
  position: relative;
  margin-bottom: 3em;
}

.console iframe {
  border: none;
  width: 49.5em;
  height: 22em;
  margin-top:0.5em;
}

.console_gradient {
  display: block;
  position: absolute;
  bottom: 1em;
  left:1em;
  right: 1em;
  height: 2em;
  background-image: linear-gradient(#00000000, var(--section-bg-color));
}

/* --- ALERT BOX ---*/
#alert_layer {
  z-index: 10000;
  position: absolute;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  flex-direction: column;
  background: #000000b0;
  display: none;
}

#alert_layer button[name="alert_ok"]:hover {
  border-color: var(--hover-color);
}

#alert_layer button[name="confirm_no"]:hover {
  border-color: var(--hover-alert-color);
}

#alert_layer button[name="confirm_yes"]:hover {
  border-color: var(--hover-confirm-color);
}

.notification_box {
  display: flex;
  position: relative;
  flex-direction: row;
  flex-wrap: wrap;
  width: 22em;
  border-radius: 1em;
  padding: 0.5em;
  margin: auto;
  background-color: var(--section-bg-color);
}

.notification_box span {
  display: block;
  width: 100%;
  margin: 0.5em auto;
  text-align: center;
}


/* --- NEW SAMPLE ---*/
input, button {
  border-width: 2px;
  border-color: var(--button-brd-color);
}

#new_sample_form h2 {
  position: absolute;
  top: 1em;
  left: 1.3em;
}

#new_sample_form {
  z-index: 9999;
  position: absolute;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  flex-direction: column;
  background: #000000b0;
  display: none;/**/
}

#new_sample_form form {
  display: flex;
  position: relative;
  flex-direction: column;
  width: 22em;
  border-radius: 1em;
  padding: 2em 0.5em 0.5em 0.5em;
  margin: auto;
  background-color: var(--section-bg-color);
}

input {
  height: 2em;
  width: 20em;
  margin: 1em auto 0 auto;
  background-color: #fafafa;
  border-radius: 0.5em;
  border-width: 0.15em;
}

button[name="add_sample"] {
  margin-top: 1em;
}

input:focus {
  outline: none;
  border-color: var(--select-color); 
}

button {
  width: 7em;
  height: 2em;
  margin: 0.5em auto;
  text-align: center;
  background-color: var(--input-bg-color);
  border-radius: 0.5em;
  padding: 0;
  line-height: 1em;
}

#new_sample_form button:hover {
  border-color: var(--hover-confirm-color);
  cursor: pointer;
}

#new_sample_form #close_form_button {
  display: block;
  position: absolute;
  right: 1.3em;
  top: 0em;
  height: 2em;
  width: 2em;
  padding: 0;
  line-height: 1em;
}

#new_sample_form #close_form_button:hover {
  border-color: var(--hover-alert-color);
}

.recording_intervall_time_set {
  display: flex;
  width: 20.3em;
  margin: 1em auto 0 auto;
  overflow: hidden;
}

.recording_intervall_time_set input{
  width: 5em;
  text-align: right;
  margin:0;
}

.recording_intervall_time_set div {
  width: 13em;
}

.recording_intervall_time_set span {
  font-size: calc(0.75 * var(--main-font-size));
  display:  block;
  width: 10em;
  height: 2em;
  margin: auto 0.1em;
  padding: 0.125em 0;
  transition: all ease-in-out 500ms;
  line-height: 1em;
}

/* --- MODE SELECTOR --- */
.mode_select {
  width: 12em;
  height: 22em;
  display: flex;
  flex-direction: column;  
}

.mode_select input {
  display: none;
}

.button {
  display: block;
  width: 10em;
  height: 2em;
  margin: 0.5em auto;
  text-align: center;
  background-color: var(--input-bg-color);
  border-radius: 0.5em;
  border-style: outset;
  line-height: 2em;
  border-width: 2px;
  border-color: var(--button-brd-color);
}

.button:hover {
  cursor: pointer;
  border-color: var(--hover-color);
}

.button_container input:checked ~.button {
  border-color: var(--select-color);
  /*color: var(--select-color);/**/
}

.mode_select h2 {
  text-align: center;
  height: 1.5em;
  line-height: 1em;
  margin: 0.5em auto 0 auto;
}

/* --- ROBOT GUI --- */
.robot_GUI {
  width: calc(35em + 28px);
  height: 22em;
  display: flex;
  flex-direction: column;
}

.slots {
  display: flex;
  margin: auto;
  flex-wrap: wrap;
  justify-content: center;
  width: 100%;
  transform: scale(1, -1);
}

.rack, .robot_GUI h2 {
  width: 100%;
  margin: auto;
  text-align: center;
}

.slot {
  display: block;
  width: 5em;
  height: 5em;
  background-color: var(--input-bg-color);
  margin: 0.2em;
  border-radius: 0.5em;
  border-style: inset;
  border-width: 2px;
  border-color: var(--button-brd-color);
  line-height: 5em;
  text-align: center;
  transform: scale(1, -1);
}

.slot:hover {
  cursor: pointer;
  border-color: var(--hover-color);
}

/* --- OPTIONS TAB ---*/
.options {
  display: flex;
  flex-direction: column;
  width: calc(49.5em + 28px);
}

.options_list {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.sub_tab {
  border-left: 1px solid gray;
  padding-left: 0.5em;
}

.sub_tab_full_width {
  border-bottom: 1px solid gray;
  width: 100%;
  padding-bottom: 0.5em;
}

.time_set_form {
  display: flex;
  flex-direction: column; 
  margin-left: 0.5em;
}

.time_set_form span {
  margin:0;
  padding: 0;
  height: 1em;
}


.time_set p {
  margin: 0;
  padding: 0;
  height: 2em;
  line-height: 2em;
}

.time_set input{
  width: 4em;
  height: 2em;
  text-align: right;
  box-sizing: border-box;
  margin: 0;
}

.time_set_form .time_set button {
  width: 5em;
}

.time_set_inputs {
  margin-right: 0.5em;
}
.options h2 {
  margin-left: 0.5em;
}

.options div {
  margin-top:0.5em;
  display: flex;
}

/* --- SLIDERS ---*/
/* The switch - the box around the slider */
.switch {
  position: relative;
  display: flex;
  width: 2.5em;
  
}

/* Hide default HTML checkbox */
.switch input {
  display: none;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  display: block;
  bottom: 0;
  top: 0;
  left: 0;
  right: 0;
  background-color: #ccc;
  transition: .4s;
  border-radius: 0.4em;
}

.slider:before {
  position: absolute;
  content: "";
  height: 1em;
  width: 1em;
  left: 0.2em;
  bottom: 0.2em;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
  border-radius: 1em;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  transform: translateX(1.05em);
}
